﻿Imports System
Imports System.Drawing
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

<Serializable()> _
Public Class Carros

#Region "Membros"

    Private _id As System.Guid
    Private _nome As String
    Private _marca As String
    Private _modelo As String
    Private _detalhes As String
    Private _dataRegistro As DateTime
    Private _imagem As Byte()
    Private _nomeImagem As String

#End Region

#Region "Construtor"
    Public Sub New()
        _id = Guid.NewGuid()
    End Sub

    Public Sub New(ByVal nomeCarro)
        _id = Guid.NewGuid()
        _nome = nomeCarro
    End Sub
#End Region

#Region "Propriedades"

    Public ReadOnly Property ID() As Guid
        Get
            Return _id
        End Get
    End Property
    Public Property NomeCarro() As String
        Get
            Return _nome
        End Get
        Set(ByVal value As String)
            _nome = value
        End Set
    End Property
    Public Property Marca() As String
        Get
            Return _marca
        End Get
        Set(ByVal value As String)
            _marca = value
        End Set
    End Property
    Public Property Modelo() As String
        Get
            Return _modelo
        End Get
        Set(ByVal value As String)
            _modelo = value
        End Set
    End Property
    Public Property Detalhes() As String
        Get
            Return _detalhes
        End Get
        Set(ByVal value As String)
            _detalhes = value
        End Set
    End Property
    Public Property dataRegistro() As Date
        Get
            Return _dataRegistro
        End Get
        Set(ByVal value As Date)
            _dataRegistro = value
        End Set
    End Property
    Public Property Imagem() As Byte()
        Get
            Return _imagem
        End Get
        Set(ByVal value As Byte())
            _imagem = value
        End Set
    End Property
    Public Property NomeImagem() As String
        Get
            Return _nomeImagem
        End Get
        Set(ByVal value As String)
            _nomeImagem = value
        End Set
    End Property
#End Region

End Class
